package com.malk.chenyixun.controller;

import com.malk.chenyixun.service.ChenyixunService;
import com.malk.server.common.McR;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
public class ChenyixunController {
    @Autowired
    private ChenyixunService chenyixunService;

    //采购合同订单车辆清单同步中间表（处理子表数量超100）
    @PostMapping("/sync1")
    public McR sync1(@RequestBody Map map){
        chenyixunService.sync1(map);

        return McR.success();
    }

    //销售合同订单车辆清单同步中间表（处理子表数量超100）
    @PostMapping("/sync2")
    public McR sync2(@RequestBody Map map){
        chenyixunService.sync2(map);

        return McR.success();
    }

    //客户合同中间表更新车辆档案（处理更新数量超100）
    @PostMapping("/sync3")
    public McR sync3(@RequestBody Map map){
        chenyixunService.sync3(map);

        return McR.success();
    }
}
